Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class NodeId.OneShotRenewer

    java.lang.Object
      org.apache.cassandra.utils.NodeId.OneShotRenewer

Enclosing class:
  NodeId

    public static class NodeId.OneShotRenewer

extends java.lang.Object

Constructor Summary
`NodeId.OneShotRenewer()`

Method Summary
`void` | `maybeRenew(CounterColumn column)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeId.OneShotRenewer

    public NodeId.OneShotRenewer()

Method Detail

### maybeRenew

    public void maybeRenew(CounterColumn column)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation